package at.ac.uibk.gitsearch.service.mapper;

import at.ac.uibk.gitsearch.domain.Statistics;
import at.ac.uibk.gitsearch.service.dto.StatisticsDTO;
import org.mapstruct.Mapper;

/**
 * Mapper for the entity {@link Statistics} and its DTO {@link StatisticsDTOHelper}.
 */
@Mapper(componentModel = "spring", uses = {})
public interface StatisticsMapper extends EntityMapper<StatisticsDTO, Statistics> {
    default Statistics fromId(Long id) {
        if (id == null) {
            return null;
        }
        Statistics statistics = new Statistics();
        statistics.setId(id);
        return statistics;
    }
}
